Bug 835062 - Review Request: perl-Module-Install-ReadmeFromPod - Module::Install extension to automatically convert POD to a README
Review Request: perl-Module-Install-ReadmeFromPod - Module::Install extension...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 835028 835051
Blocks: 835804
  Show dependency treegraph
 
Reported: 2012-06-25 07:55 EDT by Jitka Plesnikova
Modified: 2012-12-11 13:26 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-Module-Install-ReadmeFromPod-0.18-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 04:38:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-06-25 07:55:44 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Module-Install-ReadmeFromPod/perl-Module-Install-ReadmeFromPod.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Module-Install-ReadmeFromPod/perl-Module-Install-ReadmeFromPod-0.18-1.fc18.src.rpm
Description:
Module::Install::ReadmeFromPod is a Module::Install extension that generates a README file automatically from an indicated file containing POD, whenever the author runs Makefile.PL. Several output formats are supported: plain-text, HTML, PDF or manpage.

Fedora Account System Username: jplesnik
Comment 1 Petr Pisar 2012-09-12 08:02:58 EDT
Source tar ball is original (verified from <http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Module-Install-ReadmeFromPod-0.18.tar.gz>, SHA-256: a905bf3699af2c6727991634d5ae004d64b8e9279ad01eb696d8b8bbe571bdfb). Ok.
Source0 and URL are usable. Ok.
Summary verified from lib/Module/Install/ReadmeFromPod.pm. Ok.
Description verified from lib/Module/Install/ReadmeFromPod.pm. Ok.
License verified from lib/Module/Install/ReadmeFromPod.pm and LICENSE. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Build-require `perl(lib)' (Makefile.PL:2).
TODO: Remove useless build-require `perl(ExtUtils::MakeMaker)'.

TODO: I recommend to drop `perl(App:pod2pdf)' from dependencies. The package is properly evaluated and it pulls in a lot packages which are not needed otherwise.

TODO: Remove cleaning empty directories from %install section. This is default now.

All tests pass. Ok.

$ rpmlint perl-Module-Install-ReadmeFromPod.spec ../SRPMS/perl-Module-Install-ReadmeFromPod-0.18-1.fc19.src.rpm ../RPMS/noarch/perl-Module-Install-ReadmeFromPod-0.18-1.fc19.noarch.rpm 
perl-Module-Install-ReadmeFromPod.src: W: spelling-error %description -l en_US manpage -> manage, man page, man-page
perl-Module-Install-ReadmeFromPod.noarch: W: spelling-error %description -l en_US manpage -> manage, man page, man-page
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

TODO: Write the `manpage' as `manual page' in the description.

$ rpm -q -lv -p ../RPMS/noarch/perl-Module-Install-ReadmeFromPod-0.18-1.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Sep 12 13:53 /usr/share/doc/perl-Module-Install-ReadmeFromPod-0.18
-rw-r--r--    1 root    root                     6814 Feb 25  2012 /usr/share/doc/perl-Module-Install-ReadmeFromPod-0.18/Changes
-rw-r--r--    1 root    root                    18353 Sep 12 13:52 /usr/share/doc/perl-Module-Install-ReadmeFromPod-0.18/LICENSE
drwxr-xr-x    2 root    root                        0 Feb 25  2012 /usr/share/doc/perl-Module-Install-ReadmeFromPod-0.18/tools
-rw-r--r--    1 root    root                     2299 Feb  6  2012 /usr/share/doc/perl-Module-Install-ReadmeFromPod-0.18/tools/git-log.pl
-rw-r--r--    1 root    root                     3109 Sep 12 13:52 /usr/share/man/man3/Module::Install::ReadmeFromPod.3pm.gz
drwxr-xr-x    2 root    root                        0 Sep 12 13:52 /usr/share/perl5/vendor_perl/Module
drwxr-xr-x    2 root    root                        0 Sep 12 13:52 /usr/share/perl5/vendor_perl/Module/Install
-rw-r--r--    1 root    root                     6356 Feb 25  2012 /usr/share/perl5/vendor_perl/Module/Install/ReadmeFromPod.pm
File permissions and layout is Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Module-Install-ReadmeFromPod-0.18-1.fc19.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.006
      1 perl(App::pod2pdf)
      1 perl(base)
      1 perl(:MODULE_COMPAT_5.16.1)
      1 perl(Module::Install) >= 1
      1 perl(Module::Install::Base)
      1 perl(Pod::Html)
      1 perl(Pod::Man)
      1 perl(Pod::Text) >= 3.13
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides  -p ../RPMS/noarch/perl-Module-Install-ReadmeFromPod-0.18-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Module::Install::ReadmeFromPod) = 0.18
      1 perl-Module-Install-ReadmeFromPod = 0.18-1.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Module-Install-ReadmeFromPod-0.18-1.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4477405). Ok.

Package is in line with Fedora and Perl packaging guidelines.


Please consider fixing all `TODO' items before building the package.
Resolution: Package APPROVED.
Comment 2 Jitka Plesnikova 2012-09-12 09:24:45 EDT
New Package SCM Request
=======================
Package Name: perl-Module-Install-ReadmeFromPod
Short Description: Module::Install extension to automatically convert POD to a README
Owners: jplesnik mmaslano ppisar psabata
Branches:
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-09-12 09:31:26 EDT
Git done (by process-git-requests).
Comment 4 Jitka Plesnikova 2012-09-13 04:38:02 EDT
Thank you for the review and the repository.
Comment 5 Gwyn Ciesla 2012-09-13 07:26:16 EDT
Already exists, no need to re-set cvs flag.
Comment 6 Tom "spot" Callaway 2012-12-11 13:17:04 EST
Package Change Request
======================
Package Name: perl-Module-Install-ReadmeFromPod
New Branches: f16 f17 f18
Owners: jplesnik mmaslano ppisar psabata
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2012-12-11 13:26:40 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.